Skip to content

Run campaigns on a schedule.​

POST
/backend/v1/campaign-schedules

Schedules a campaign run by its ID.
You can specify the interval time, start time, end time, frequency, number of occurrences, providers and name.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"campaignId": "string",
  
"count": 4,
  
"endAt": "string",
  
"frequency": "string",
  
"interval": 0,
  
"name": "string",
  
"providerIds": [
  
  
"string"
  
],
  
"remediationSettings": {
  
  
"autorun": false
  
},
  
"startAt": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"campaignRunId": "string",
  
"id": "string"
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI

Updated at: